Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class RMDBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.RMSequenceBean
              org.apache.sandesha2.storage.beans.RMDBean

All Implemented Interfaces:
  java.io.Serializable

public class RMDBean
extends RMSequenceBean

This bean is used at the receiving side (of both server and client) There is one entry for each sequence.

See Also:
  Serialized Form

Constructor Summary
`RMDBean()`
`RMDBean(RMDBean beanToCopy)` Constructor that copies all RMDBean values from the RMDBean supplied
`RMDBean(java.lang.String sequenceID, long nextNsgNo)`

Method Summary
`java.lang.String` | `getHighestInMessageId()`
`long` | `getHighestInMessageNumber()`
`java.lang.String` | `getLastInMessageId()`
`long` | `getNextMsgNoToProcess()`
`java.lang.String` | `getOutboundInternalSequence()`
`RangeString` | `getOutOfOrderRanges()`
`java.lang.String` | `getReferenceMessageKey()`
`int` | `getRmdFlags()`
`RangeString` | `getServerCompletedMessages()`
`java.lang.String` | `getToAddress()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setHighestInMessageId(java.lang.String highestInMessageId)`
`void` | `setHighestInMessageNumber(long highestInMessageNumber)`
`void` | `setLastInMessageId(java.lang.String lastInMessageId)`
`void` | `setNextMsgNoToProcess(long nextMsgNoToProcess)`
`void` | `setOutboundInternalSequence(java.lang.String outboundSequence)`
`void` | `setOutOfOrderRanges(RangeString outOfOrderRanges)`
`void` | `setReferenceMessageKey(java.lang.String referenceMessageKey)`
`void` | `setRmdFlags(int rmdFlags)`
`void` | `setServerCompletedMessages(RangeString serverCompletedMessages)`
`void` | `setToAddress(java.lang.String toAddress)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMSequenceBean
`getAcksToEPR, getFlags, getLastActivatedTime, getReplyToEPR, getRMVersion, getSecurityTokenData, getSequenceID, getServiceName, getToEPR, isClosed, isPollingMode, isReplayModel, isTerminated, setAcksToEPR, setClosed, setFlags, setLastActivatedTime, setPollingMode, setReplayModel, setReplyToEPR, setRMVersion, setSecurityTokenData, setSequenceID, setServiceName, setTerminated, setToEPR`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMDBean

    public RMDBean()

### RMDBean

    public RMDBean(RMDBean beanToCopy)

  Constructor that copies all RMDBean values from the RMDBean supplied

Parameters:
  `beanToCopy` -

### RMDBean

    public RMDBean(java.lang.String sequenceID,
                   long nextNsgNo)

Method Detail

### getNextMsgNoToProcess

    public long getNextMsgNoToProcess()

  Returns:
    Returns the nextMsgNoToProcess.

### setNextMsgNoToProcess

    public void setNextMsgNoToProcess(long nextMsgNoToProcess)

  Parameters:
    `nextMsgNoToProcess` - The nextMsgNoToProcess to set.

### getReferenceMessageKey

    public java.lang.String getReferenceMessageKey()

### setReferenceMessageKey

    public void setReferenceMessageKey(java.lang.String referenceMessageKey)

### getHighestInMessageId

    public java.lang.String getHighestInMessageId()

### setHighestInMessageId

    public void setHighestInMessageId(java.lang.String highestInMessageId)

### getHighestInMessageNumber

    public long getHighestInMessageNumber()

### setHighestInMessageNumber

    public void setHighestInMessageNumber(long highestInMessageNumber)

### getServerCompletedMessages

    public RangeString getServerCompletedMessages()

### setServerCompletedMessages

    public void setServerCompletedMessages(RangeString serverCompletedMessages)

### getLastInMessageId

    public java.lang.String getLastInMessageId()

### setLastInMessageId

    public void setLastInMessageId(java.lang.String lastInMessageId)

### getOutOfOrderRanges

    public RangeString getOutOfOrderRanges()

### setOutOfOrderRanges

    public void setOutOfOrderRanges(RangeString outOfOrderRanges)

### getToAddress

    public java.lang.String getToAddress()

### setToAddress

    public void setToAddress(java.lang.String toAddress)

### getOutboundInternalSequence

    public java.lang.String getOutboundInternalSequence()

### setOutboundInternalSequence

    public void setOutboundInternalSequence(java.lang.String outboundSequence)

### getRmdFlags

    public int getRmdFlags()

### setRmdFlags

    public void setRmdFlags(int rmdFlags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RMSequenceBean`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Overrides:
    `match` in class `RMSequenceBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.